
Figure - Bug #115059
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT】【设置】 刷机后首次打开settings闪退
2023-01-04 14:10 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-04

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_C sample_20230113

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301040309

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

Reproducibility: Frequently Fixed Version: 2023-01-06

Test Type: IT Root cause: Settings有一个监听，会监听用户角色权限变化，权限发生变化时，Settings会主动关闭，经过确认，Settings不需要此监听，移除监听后Settings不再主动关闭

Description

【前提条件】

无

【测试步骤】

1、刷机

2、激活

3、进入设置

【预期结果】

3、成功进入设置

【实际结果】

3、进入设置后闪退

PS:刷机之后不要过多等待，马上就点settings复现率会比较高

History

#1 - 2023-01-04 17:54 - CD TEST-方永红

- Priority changed from Normal to High

- Severity changed from Normal to Major

- Reproducibility changed from Every time to Frequently

#2 - 2023-01-05 11:20 - CD FW-廖涛

- Assignee changed from CD FW-廖涛 to CD FW-程天颖

#3 - 2023-01-05 14:09 - CD FW-程天颖

- Status changed from New to ASSIGNED

#4 - 2023-01-05 15:05 - CDTS-TEST 周婷

- Target version set to VX1_MCE_FSE_C sample_20230113

- Severity changed from Major to Critical

#5 - 2023-01-06 17:34 - IoT scm

Gerrit Merge Information：
ID Project Branch Uploader

174791 general/platform/packages/apps/Settin

gs

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

tianying.cheng@thundersoft.com

AF:Settings: Fixed Settings is Closed when frist openTC-RID: 1201-0201813IssueID: TS-R-BUG-115059Change-Id:

I1e6915fa2995e8eb742570ff928c680f0b064db9

#6 - 2023-01-06 17:39 - CD FW-程天颖

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-程天颖 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-01-06

■ Current conclusion

Bug已解决，提交已入库

■ My analysis

Settings有一个监听，会监听用户角色权限变化，权限发生变化时，Settings会主动关闭，经过确认，Settings不需要此监听，移除监听后Settings不再主动关

闭

■Submit URL

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Settings/+/174791

#7 - 2023-01-06 17:40 - CD FW-程天颖

- Root cause set to Settings有一个监听，会监听用户角色权限变化，权限发生变化时，Settings会主动关闭，经过确认，Settings不需要此监听，移除监听

后Settings不再主动关闭

#8 - 2023-01-09 16:31 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202301080304

1.9

验证通过

#9 - 2023-01-09 16:31 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

11111.txt 3.02 MB 2023-01-04 CD TEST-方永红

2025-07-04 2/2

http://10.0.232.3:3307/gerrit/c/general/platform/packages/apps/Settings/+/174791

